Subject: Re: linux-next: manual merge of the mm-stable tree with the cifs tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 21 Feb 2023 17:44:01 +1100

Hi Matthew,

On Mon, 20 Feb 2023 20:58:03 +0000 Matthew Wilcox <[email-masked]> wrote:
>
> On Mon, Feb 20, 2023 at 07:01:57PM +1100, Stephen Rothwell wrote:
> > Hi Matthew,
> > 
> > On Mon, 20 Feb 2023 13:58:29 +0000 Matthew Wilcox <[email-masked]> wrote:  
> > >
> > > On Mon, Feb 20, 2023 at 03:29:33PM +1100, Stephen Rothwell wrote:  
> > > > 
> > > > Today's linux-next merge of the mm-stable tree got a conflict in:
> > > > 
> > > >   fs/cifs/file.c
> > > > 
> > > > between commit:
> > > > 
> > > >   c8859bc0c129 ("cifs: Remove unused code")
> > > > 
> > > > from the cifs tree and commits:
> > > > 
> > > >   4cda80f3a7a5 ("cifs: convert wdata_alloc_and_fillpages() to use filemap_get_folios_tag()")
> > > >   d585bdbeb79a ("fs: convert writepage_t callback to pass a folio")
> > > > 
> > > > from the mm-stable tree.
> > > > 
> > > > This is a real mess :-(    
> > > 
> > > Doesn't look too bad to me.  Dave's commit is just removing the
> > > functions, so it doesn't matter how they're being changed.  
> > 
> > The problem I see is that an earlier commit in the cifs tree moves the
> > use of find_get_pages_range_tag() to another function and 4cda80f3a7a5
> > then removes find_get_pages_range_tag().  
> 
> Ah.  Just removing all traces of it should be fine.  As long as there
> are no remaining callers of find_get_pages_range_tag() after the merge,
> it's good from my point of view.

But I can't do that since commit

  d08089f649a0 ("cifs: Change the I/O paths to use an iterator rather than a page list")

in the cifs tree introduces a new usage of it in code that is used in
the cifs code ... so someone has to figure out what the merge
resolution is between the 2 trees (how to replace that new usage) and
let me know and then we need to test that combination for a while
before asking Linus to take it.

-- 
Cheers,
Stephen Rothwell